<!DOCTYPE html>
<html>
<head>
<title> Bootstrap template- Pizza 365 project </title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- font -->
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Bootstrap -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item">  <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" onclick = "onNavOrderDetailClick()" > Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>  
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365</b></h1>
          <h3><i>Trully Italian !</i></h3>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/coffee.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/workbench.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/sound.jpg" alt="Third slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2">Sạch</h3>
                <p class="p-2">Chúng tôi ưu tiên hàng đầu chọn nguyên liệu sạch để chế biến pizza.</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger text-white border">
                <h3 class="p-2">Khẩu vị Italian</h3>
                <p class="p-2">Pizza 365 giữ nguyên công thức làm bánh truyền thống của Ý.</p>
              </div>
              <div class="col-sm-3 p-4 bg-info text-white border">
                <h3 class="p-2">Giá phải chăng</h3>
                <p class="p-2">Mong muốn tiếp cận với mọi đối tượng khách hàng.</p>
              </div>
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Giao hàng nhanh chóng</h3>
                <p class="p-2">Chúng tôi có đội ngũ shipper riêng và rất chuyên nghiệp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S(small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>20cm</b> Đường kính</li>
                      <li class="list-group-item"><b>2</b> Sườn nướng</li>
                      <li class="list-group-item"><b>200g</b> Salad</li>
                      <li class="list-group-item"><b>2</b> Nước ngọt</li>
                      <li class="list-group-item"><h1><b>150.000</b></h1> VND</li>
                    </div>
                  <div class="card-footer text-center">
                    <button id="btn-small-click" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnSmallClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M(medium)</h3>
                </div>
                <div class="card-body text-center">
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item"><b>25cm</b> Đường kính</li>
                    <li class="list-group-item"><b>4</b> Sườn nướng</li>
                    <li class="list-group-item"><b>300g</b> Salad</li>
                    <li class="list-group-item"><b>3</b> Nước ngọt</li>
                    <li class="list-group-item"><h1><b>200.000</b></h1> VND</li>
                  </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-medium-click" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnMediumClick()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L(large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>30cm</b> Đường kính</li>
                      <li class="list-group-item"><b>8</b> Sườn nướng</li>
                      <li class="list-group-item"><b>500g</b> Salad</li>
                      <li class="list-group-item"><b>4</b> Nước ngọt</li>
                      <li class="list-group-item"><h1><b>250.000</b></h1> VND</li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-large-click" class="btn btn-success" data-is-selected-menu = "N" onclick="onBtnLargeClick()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row form-group"> <!-- Type of Pizza -->
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>PIZZA HAWAI</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>Size SMALL vừa khẩu phần ăn cho 2 người.</p>
                    <p><button id="btn-hawai-pizza" onclick="onBtnHawaiClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>PIZZA HẢI SẢN</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>Size MEDIUM vừa khẩu phần ăn cho 4 người.</p>
                    <p><button id="btn-seafood-pizza" onclick="onBtnSeaFoodClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>PIZZA THỊT NƯỚNG</h3>
                    <p>Món ăn đặt biệt</p>
                    <p>Size LARGE vừa khẩu phần ăn cho 8 người.</p>
                    <p><button id="btn-bacon-pizza" onclick="onBtnBaconClick()" class="btn btn-success" data-is-selected-pizza="N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-sm-12"> <!-- Type of drink -->
              <div class="col-sm-12">
                <label><span style="color:green;"><b>Hãy chọn đồ uống bạn yêu thích</b></span></label>
              </div>
              <div class="col-sm-12">
                <select id="drink-select" class="form-control">
                    <option value="not-selected-drink">Chọn đồ uống</option>
                </select>
              </div>
              
              </div>
            </div>
          </div>
        
          <div id="contact" class="row">
            <!-- Title Contact Us -->
            <div class="col-sm-12 text-center p-4 mt-4">
              <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
            </div>
  
            <!-- Content Contact Us -->
            <div class="col-sm-12">
              <div class="row">
                <div class="col-sm-12"> <!-- Input information -->
                  <div class="form-group">
                    <label for="fullname">Họ và tên</label>
                    <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                  </div>
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input type="text" class="form-control" id="inp-email" placeholder="Email">
                  </div>
                  <div class="form-group">
                    <label for="dien-thoai">Điện thoại</label>
                    <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại">
                  </div>
                  <div class="form-group">
                    <label for="dia-chi">Địa chỉ</label>
                    <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ">
                  </div>
                  <div class="form-group">
                    <label for="message">Lời nhắn</label>
                    <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                  </div>
                  <div class="form-group">
                    <label for="message">Mã giảm giá</label>
                    <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
                  </div>
                  <button type="button" class="btn btn-success w-100 form-group" id="btn-order-checking" onclick="onBtnOrderChecking()">Kiểm tra đơn</button>
                </div>
                
                <div style="display:none" class=" container p-2 bg bg-info jumbotron" id="div-container-order"><!-- Validated information -->
                  <div class=" p-3 text-white " id="div-order-info">
                  </div>
                  <button type="button" class="btn btn-warning text-dark w-100 form-group " id="btn-send-order" onclick="onBtnSendOrder()">Gửi đơn</button>
                </div>
                
                <div id="div-container-order-code" class="container p-2 bg bg-warning jumbotron form-group" style="display: none;">
                  <div class="text-center">
                    <h4><b>Cảm ơn bạn đã đặt hàng tại Pizza 365 !!!</b></h4>
                  </div>
                  
                  <div  class="text-center w-100 form-group" >
                    <div>
                      <label class="col-sm-4">Mã đơn hàng của bạn là:</label>
                    </div>
                    <div>
                      <input id="display-order-code" class=" text-center col-sm-3 form-group">
                    </div>
                    
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>
  
<script>
"use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 

  //combo pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";
  const gPIZZA_HAWAI = "Hawai";
  const gPIZZA_SEAFOOD = "Seafood";
  const gPIZZA_BACON = "Bacon";
  const gBASE_URL_DRINK = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  const gBASE_URL_VOUCHER = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail";
  const gBASE_URL_ORDER = "http://203.171.20.210:8080/devcamp-pizza365/orders";
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201;

  var vId = "";
  var vOrderCode = "";

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  //add event for Order Detail Button 
  function onNavOrderDetailClick () {
    console.log("%cGọi chi tiết order ở đây", "color:blue");
     
    //add query string
    const vUSER_DETAIL = "file:///C:/Users/hphat/Desktop/J2232/2023-02-14/orderDetail.html"
    var vUrlSiteToOpen = vUSER_DETAIL + "?" + 
    "id=" + vId + 
    "&orderCode=" + vOrderCode;
    window.location.href = vUrlSiteToOpen;
  }

/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  function onPageLoading(){
      
    loadDataDrinkList();
    
    
  }

/*---------------MENU COMBO FUNCTIONS--------------------------------*/

  //function for Menu Combo object
  function getMenuCombo(paramMenu, paramDiameter, paramBakedRib, paramSalad, paramDrink, paramPrice){
    //create the menu object
    var vMenuComboObject = {
        menuName: paramMenu,
        diameter: paramDiameter,
        bakedRib: paramBakedRib,
        salad: paramSalad,
        drink: paramDrink,
        priceVND: paramPrice,

        displayMenuConsole(){
          console.log("Combo: " + vMenuComboObject.menuName);
          console.log("Diameter: " + vMenuComboObject.diameter);
          console.log("Baked-Rib: " + vMenuComboObject.bakedRib);
          console.log("Salad: " + vMenuComboObject.salad);
          console.log("Drink: " + vMenuComboObject.drink);
          console.log("Price: " + vMenuComboObject.priceVND);
        }
    }
    return vMenuComboObject;
  }

  //add event for Small Button
  function onBtnSmallClick(){
      console.log("%cSMALL-Combo-selected", "color:orange");
      changeMenuButtonColor(gCOMBO_SMALL);
      displayMenuConsoleClick(gCOMBO_SMALL);
    }

  //add event for Medium Button
  function onBtnMediumClick(){
      console.log("%cMEDIUM-Combo-selected", "color:orange");
      changeMenuButtonColor(gCOMBO_MEDIUM);
      displayMenuConsoleClick(gCOMBO_MEDIUM);
    }

  //add event for Small Button
  function onBtnLargeClick(){
    console.log("%cLARGE-Combo-selected", "color:orange");
    changeMenuButtonColor(gCOMBO_LARGE);
    displayMenuConsoleClick(gCOMBO_LARGE);
  }

/*---------------PIZZA FUNCTIONS--------------------------------*/

  //add event for Hawai Pizza Button
  function onBtnHawaiClick(){
        changePizzaButtonColor(gPIZZA_HAWAI);
        displayPizzaConsoleClick(gPIZZA_HAWAI);
  }

  //add event for Hawai Pizza Button
  function onBtnSeaFoodClick(){
        changePizzaButtonColor(gPIZZA_SEAFOOD);
        displayPizzaConsoleClick(gPIZZA_SEAFOOD);
  }

  //add event for Hawai Pizza Button
  function onBtnBaconClick(){
        changePizzaButtonColor(gPIZZA_BACON);
        displayPizzaConsoleClick(gPIZZA_BACON);
  }

/*---------------ORDER CHECKING--------------------------------*/

  //add function for Check Button
  function onBtnOrderChecking(){
    debugger;
    console.log("clicked")
    //create order object
    var vOrderInfo = {
        selectedMenu: "",
        pizza: "",
        drinkCode: "",
        fullName: "",
        email: "",
        phone: "",
        address: "",
        message: "",
        voucher: "",
        percenDiscount: "",

        priceActualVND(){
          return (1 - this.percenDiscount/100) * vPriceForCalculate
        }
    }
       
    {  //to check combo and pizza buttons clicking
        var vSmallComboButton = document.getElementById("btn-small-click");
        var vMediumComboButton = document.getElementById("btn-medium-click");
        var vLargeComboButton = document.getElementById("btn-large-click");

            //console.log("DATA-SET-combo " + vSmallComboButton.dataset.isSelectedMenu);

        var vSmallDataset = vSmallComboButton.getAttribute("data-is-selected-menu");
        var vMediumDataset = vMediumComboButton.getAttribute("data-is-selected-menu");
        var vLargeDataset = vLargeComboButton.getAttribute("data-is-selected-menu");

        if ( vSmallDataset == "Y"){
            vOrderInfo.selectedMenu = "Small";
        }
        if ( vMediumDataset == "Y"){
            vOrderInfo.selectedMenu = "Medium";
        }
        if ( vLargeDataset == "Y"){
            vOrderInfo.selectedMenu = "Large";
        }
        if (vSmallDataset == "N" && vMediumDataset == "N" && vLargeDataset == "N"){
            alert("Bạn chưa chọn combo !!!");
            return false;
        }

        //to check pizza buttons clicking
        var vHawaiPizzaBtn = document.getElementById("btn-hawai-pizza");
        var vSeaFoodPizzaBtn = document.getElementById("btn-seafood-pizza");
        var vBaconPizzaBtn = document.getElementById("btn-bacon-pizza");

            //console.log("DATA-SET-Pizza " + vHawaiPizzaBtn.getAttribute("data-is-selected-pizza"));

        var vHawaiDataset = vHawaiPizzaBtn.dataset.isSelectedPizza;
        var vSeaFoodDataset = vSeaFoodPizzaBtn.dataset.isSelectedPizza;
        var vBaconDataset = vBaconPizzaBtn.dataset.isSelectedPizza;

        if ( vHawaiDataset == "Y"){
            vOrderInfo.pizza = "Hawai Pizza";
            console.log("%cPIZZA-Type:", "color:orange", vOrderInfo.pizza);
        }
        if ( vSeaFoodDataset == "Y"){
            vOrderInfo.pizza = "SeaFood Pizza";
        }
        if ( vBaconDataset == "Y"){
            vOrderInfo.pizza = "Bacon Pizza";
        }
        if (vHawaiDataset == "N" && vSeaFoodDataset == "N" && vBaconDataset == "N"){
            alert("Bạn chưa chọn pizza !!!");
            return false;
        }
      }
    
    //read data from the web form
    readDataWeb(vOrderInfo);

    //validate the collected data
    var vValidResult = validateDataWeb(vOrderInfo);

    //display on the validated data on the web
    if (vValidResult == true){
      var vDivContainer = document.getElementById("div-container-order");
          vDivContainer.style.display = "block";
      
      var vDivInputInfo = document.getElementById("div-order-info")
      

      var vSelectedMenu = getMenuCombo(null, null, null, null, null, null)  
      var vPriceForCalculate = "";

      if ( vSmallDataset == "Y"){
          vSelectedMenu = getMenuCombo("Small", 20, 2, 200, 2, 150000);  
          vPriceForCalculate = vSelectedMenu.priceVND;

          console.log("%cORDER-VOUCHER:", "color:orange", vOrderInfo.voucher);
          vDivInputInfo.innerHTML = "Họ và tên: " + vOrderInfo.fullName;
          vDivInputInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivInputInfo.innerHTML += "<br/>Số điện thoại: " + vOrderInfo.phone;
          vDivInputInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.address;
          vDivInputInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.message;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";

          vDivInputInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivInputInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.diameter;
          vDivInputInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.bakedRib;
          vDivInputInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.salad;
          vDivInputInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";
          
          vDivInputInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.pizza;
          vDivInputInfo.innerHTML += "<br/>Loại nước uống: " + vOrderInfo.drinkCode;
          vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivInputInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.priceVND;
          
          if (vOrderInfo.voucher != ""){
            var vVoucherId = getVoucherId();
            if (vVoucherId.maVoucher == vOrderInfo.voucher){
              vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
              vOrderInfo.percenDiscount = vVoucherId.phanTramGiamGia;
            }
            if (vVoucherId == 0){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
                alert("Voucher "+ vOrderInfo.voucher + " này không có" );
            }
            }
            if (vOrderInfo.voucher == ""){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
            }
            vDivInputInfo.innerHTML += "<br/>Giảm giá (%): " + vOrderInfo.percenDiscount;
            vDivInputInfo.innerHTML += "<br/>Thành tiền: " + vOrderInfo.priceActualVND();

      }
      if ( vMediumDataset == "Y"){
          vSelectedMenu = getMenuCombo("Medium", 25, 4, 300, 3, 200000);  
          vPriceForCalculate = vSelectedMenu.priceVND;

          vDivInputInfo.innerHTML = "Họ và tên: " + vOrderInfo.fullName;
          vDivInputInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivInputInfo.innerHTML += "<br/>Số điện thoại: " + vOrderInfo.phone;
          vDivInputInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.address;
          vDivInputInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.message;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";

          vDivInputInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivInputInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.diameter;
          vDivInputInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.bakedRib;
          vDivInputInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.salad;
          vDivInputInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";
          
          vDivInputInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.pizza;
          vDivInputInfo.innerHTML += "<br/>Loại nước uống: " + vOrderInfo.drinkCode;
          vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
          vDivInputInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.priceVND;
          
          
          if (vOrderInfo.voucher != ""){
            var vVoucherId = getVoucherId();
            if (vVoucherId.maVoucher == vOrderInfo.voucher){
              vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
              vOrderInfo.percenDiscount = vVoucherId.phanTramGiamGia;
            }
            if (vVoucherId == 0){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
                alert("Voucher "+ vOrderInfo.voucher + " này không có" );
            }
          }
          if (vOrderInfo.voucher == ""){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
          }
          vDivInputInfo.innerHTML += "<br/>Giảm giá (%): " + vOrderInfo.percenDiscount;
          vDivInputInfo.innerHTML += "<br/>Thành tiền: " + vOrderInfo.priceActualVND();
          
      }
      if ( vLargeDataset == "Y"){
          vSelectedMenu = getMenuCombo("Large", 30, 8, 500, 4, 250000);  
          vPriceForCalculate = vSelectedMenu.priceVND;

          vDivInputInfo.innerHTML = "Họ và tên: " + vOrderInfo.fullName;
          vDivInputInfo.innerHTML += "<br/>Email: " + vOrderInfo.email;
          vDivInputInfo.innerHTML += "<br/>Số điện thoại: " + vOrderInfo.phone;
          vDivInputInfo.innerHTML += "<br/>Địa chỉ: " + vOrderInfo.address;
          vDivInputInfo.innerHTML += "<br/>Lời nhắn: " + vOrderInfo.message;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";

          vDivInputInfo.innerHTML += "<br/>Kích cỡ: " + vSelectedMenu.menuName;
          vDivInputInfo.innerHTML += "<br/>Đường kính: " + vSelectedMenu.diameter;
          vDivInputInfo.innerHTML += "<br/>Sườn nướng: " + vSelectedMenu.bakedRib;
          vDivInputInfo.innerHTML += "<br/>Salad: " + vSelectedMenu.salad;
          vDivInputInfo.innerHTML += "<br/>Nước ngọt: " + vSelectedMenu.drink;
          vDivInputInfo.innerHTML += "<br/>-------------------------------------------------- ";
          
          vDivInputInfo.innerHTML += "<br/>Loại pizza: " + vOrderInfo.pizza;
          vDivInputInfo.innerHTML += "<br/>Loại nước uống: " + vOrderInfo.drinkCode;
          vDivInputInfo.innerHTML += "<br/>Giá VND: " + vSelectedMenu.priceVND;
          
          if (vOrderInfo.voucher != ""){
            var vVoucherId = getVoucherId();
            if (vVoucherId.maVoucher == vOrderInfo.voucher){
              vDivInputInfo.innerHTML += "<br/>Mã voucher: " + vOrderInfo.voucher;
              vOrderInfo.percenDiscount = vVoucherId.phanTramGiamGia;
            }
            if (vVoucherId == 0){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
                alert("Voucher "+ vOrderInfo.voucher + " này không có" );
            }
            }
            if (vOrderInfo.voucher == ""){
                vDivInputInfo.innerHTML += "<br/>Mã voucher: " + "0";
                vOrderInfo.percenDiscount = 0;
            }
            vDivInputInfo.innerHTML += "<br/>Giảm giá (%): " + vOrderInfo.percenDiscount;
            vDivInputInfo.innerHTML += "<br/>Thành tiền: " + vOrderInfo.priceActualVND();
      }
    }
    return [vOrderInfo, vSelectedMenu];
  }
  
  //read data from the web form
  function readDataWeb(paramData){
      //reach html elements
      var vFullNameElement = document.getElementById("inp-fullname").value;
      var vEmailElement = document.getElementById("inp-email").value;
      var vPhoneElement = document.getElementById("inp-phone").value;
      var vAddressElement = document.getElementById("inp-address").value;
      var vMessageElement = document.getElementById("inp-message").value;
      var vVoucherElement = document.getElementById("inp-voucher-id").value;

      var vDrinkElement = document.getElementById("drink-select")
      var vDrinkOption = vDrinkElement.options[vDrinkElement.selectedIndex].text;
            
      //add value collected from html elements to the order object
      paramData.fullName = vFullNameElement;
      paramData.email = vEmailElement;
      paramData.phone = vPhoneElement;
      paramData.address = vAddressElement;
      paramData.message = vMessageElement;
      paramData.voucher = vVoucherElement;
      paramData.drinkCode = vDrinkOption;

    }
  
  //validate the collected data
  function validateDataWeb(paramData){
    if (paramData.drinkCode == "Chọn đồ uống"){
        alert("chưa chọn đồ uống !!!");
        return false;
    }
    if (paramData.fullName == ""){
        alert("chưa điền họ tên !!!");
        return false;
    }
    if (validateEmail(paramData.email) == false){
        return false;
    }
    if (paramData.phone == ""){
        alert("chưa điền số điện thoại !!!");
        return false;
    }
    if (isNaN(paramData.phone) == true){
        alert("số điện thoại phải điền dạng chữ số !!!");
        return false;
    }
    if (paramData.address == ""){
        alert("chưa điền địa chỉ !!!");
        return false;
    }
    return true;
  }

  //email checking
  function validateEmail(paramEmail){
      if (paramEmail == ""){
        alert("chưa điền email !!!");
        return false
      }
      if (paramEmail.indexOf("@") === -1){
        alert("email phải có '@' !!!");
        return false;
      }
      if (paramEmail.startsWith("@") === true){
        alert("email phải có ký tự trước '@' !!!");
        return false;
      }
      if (paramEmail.endsWith("@") === true){
        alert("email phải có ký tự sau '@' !!!");
        return false;
      }
      if (paramEmail.indexOf(".") === -1){
        alert("email phải có dấu chấm !!!");
        return false;
      }
      return true
    }

/*---------------ORDER SENDING---------------------------------*/

  //add function for Send Button
  function onBtnSendOrder(){
    //console.log("clicked");

    //create order request object
    var vOrderSendObject = {
        kichCo: "",
        duongKinh: "",
        suon: "",
        salad: "",
        loaiPizza: "",
        idVourcher: "",
        idLoaiNuocUong: "",
        soLuongNuoc: "",
        hoTen: "",
        thanhTien: "",
        email: "",
        soDienThoai: "",
        diaChi: "",
        loiNhan: "",
      }   
    
    //get order data
    var vOrderChecking = onBtnOrderChecking();
    
    var vMenuName = vOrderChecking[0].selectedMenu ;
    var vPizza = vOrderChecking[0].pizza ;
    var vDrinkCode = vOrderChecking[0].drinkCode ;
    var vFullName = vOrderChecking[0].fullName ;
    var vAmount = vOrderChecking[0].priceActualVND() ;
    var vEmail = vOrderChecking[0].email ;
    var vPhone = vOrderChecking[0].phone ;
    var vAddress = vOrderChecking[0].address ;
    var vMessage = vOrderChecking[0].message ;
    var vIdVoucher = vOrderChecking[0].voucher ;
    
    vOrderSendObject.kichCo = vMenuName;
    vOrderSendObject.loaiPizza = vPizza ;
    vOrderSendObject.idLoaiNuocUong = vDrinkCode ;
    vOrderSendObject.hoTen = vFullName ;
    vOrderSendObject.thanhTien = vAmount ;
    vOrderSendObject.email = vEmail ;
    vOrderSendObject.soDienThoai = vPhone ;
    vOrderSendObject.diaChi = vAddress ;
    vOrderSendObject.loiNhan = vMessage ;
    vOrderSendObject.idVourcher = vIdVoucher ;
      //console.log("%cORDER-CHECKING-address:", "color:green", vOrderSendObject.address );
    
    var vMenuCombo = onBtnOrderChecking();
      
    var vDiameter = vMenuCombo[1].diameter ;
    var vBakedRib = vMenuCombo[1].bakedRib ;
    var vSalad = vMenuCombo[1].salad ;
    var vDrinkNumber = vMenuCombo[1].drink ;

    vOrderSendObject.duongKinh = vDiameter ;
    vOrderSendObject.suon = vBakedRib ;
    vOrderSendObject.salad = vSalad ;
    vOrderSendObject.soLuongNuoc = vDrinkNumber ;
      //console.log("%cORDER-CHECKING-diameter:", "color:green", vOrderSendObject.diameter )
      console.log("%cORDER-CHECKING:", "color:green", vOrderSendObject)
    
      //create new order and send to the server
    var vXmlHtppOrder = new XMLHttpRequest();
    callApiCreateOrder(vXmlHtppOrder, vOrderSendObject);
    vXmlHtppOrder.onreadystatechange = function(){
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS){
          var vCreateOrder = JSON.parse(vXmlHtppOrder.responseText);
          console.log("%cRESPONSE-TEXT-created order:", "color:green", vCreateOrder);
          vId = vCreateOrder.id;
          vOrderCode = vCreateOrder.orderCode;
          displayInWebContainer(vOrderCode);
        }
      }
  }


  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  //change the menu button's color
  function changeMenuButtonColor(paramMenuColor){
    var vSmallButtonElement = document.getElementById("btn-small-click");
    var vMediumButtonElement = document.getElementById("btn-medium-click");
    var vLargeButtonElement = document.getElementById("btn-large-click");

    if (paramMenuColor === gCOMBO_SMALL){
      vSmallButtonElement.className = "btn btn-warning"
      vSmallButtonElement.setAttribute("data-is-selected-menu", "Y");
      
      vMediumButtonElement.className = "btn btn-success"
      vMediumButtonElement.setAttribute("data-is-selected-menu", "N")
      
      vLargeButtonElement.className = "btn btn-success"
      vLargeButtonElement.setAttribute("data-is-selected-menu", "N")
    }
    else if (paramMenuColor === gCOMBO_MEDIUM){
      vSmallButtonElement.className = "btn btn-success"
      vSmallButtonElement.setAttribute("data-is-selected-menu", "N");

      vMediumButtonElement.className = "btn btn-warning"
      vMediumButtonElement.setAttribute("data-is-selected-menu", "Y")

      vLargeButtonElement.className = "btn btn-success"
      vLargeButtonElement.setAttribute("data-is-selected-menu", "N")
    }
    else if (paramMenuColor === gCOMBO_LARGE){
      vSmallButtonElement.className = "btn btn-success"
      vSmallButtonElement.setAttribute("data-is-selected-menu", "N");

      vMediumButtonElement.className = "btn btn-success"
      vMediumButtonElement.setAttribute("data-is-selected-menu", "N")

      vLargeButtonElement.className = "btn btn-warning"
      vLargeButtonElement.setAttribute("data-is-selected-menu", "Y")
    }
  }

  //display the selected Menu Button to console.log
  function displayMenuConsoleClick(paramMenu){
    if (paramMenu == "Small"){
      paramMenu = getMenuCombo("Small", 20, 2, 200, 2, 150000);
      return paramMenu.displayMenuConsole();
    }
    if (paramMenu == "Medium"){
      paramMenu = getMenuCombo("Medium", 25, 4, 300, 3, 200000);
      return paramMenu.displayMenuConsole();
    }
    if (paramMenu == "Large"){
      paramMenu = getMenuCombo("Large", 30, 8, 500, 4, 250000);
      return paramMenu.displayMenuConsole();
    }
  }

  //change the pizza button's color
  function changePizzaButtonColor(paramPizzaColor){
    var vHawaiButtonElement = document.getElementById("btn-hawai-pizza");
    var vSeaFoodButtonElement = document.getElementById("btn-seafood-pizza");
    var vBaconButtonElement = document.getElementById("btn-bacon-pizza");

    if (paramPizzaColor == gPIZZA_HAWAI){
      vHawaiButtonElement.className = "btn btn-warning"
      vHawaiButtonElement.setAttribute("data-is-selected-pizza", "Y");
      
      vSeaFoodButtonElement.className = "btn btn-success"
      vSeaFoodButtonElement.setAttribute("data-is-selected-pizza", "N")
      
      vBaconButtonElement.className = "btn btn-success"
      vBaconButtonElement.setAttribute("data-is-selected-pizza", "N")
    }
    else if (paramPizzaColor == gPIZZA_SEAFOOD){
      vHawaiButtonElement.className = "btn btn-success"
      vHawaiButtonElement.setAttribute("data-is-selected-pizza", "N");

      vSeaFoodButtonElement.className = "btn btn-warning"
      vSeaFoodButtonElement.setAttribute("data-is-selected-pizza", "Y")

      vBaconButtonElement.className = "btn btn-success"
      vBaconButtonElement.setAttribute("data-is-selected-pizza", "N")
    }
    else if (paramPizzaColor == gPIZZA_BACON){
      vHawaiButtonElement.className = "btn btn-success"
      vHawaiButtonElement.setAttribute("data-is-selected-pizza", "N");

      vSeaFoodButtonElement.className = "btn btn-success"
      vSeaFoodButtonElement.setAttribute("data-is-selected-pizza", "N")

      vBaconButtonElement.className = "btn btn-warning"
      vBaconButtonElement.setAttribute("data-is-selected-pizza", "Y")
    }
  }

  //display the selected Pizza Button to console.log
  function displayPizzaConsoleClick(paramPizza){
    if (paramPizza == gPIZZA_HAWAI){
      console.log("%cPizza-HAWAI-selected", "color:orange");
    }
    if (paramPizza == gPIZZA_SEAFOOD){
      console.log("%cPizza-SEAFOOD-selected", "color:orange");
    }
    if (paramPizza == gPIZZA_BACON){
      console.log("%cPizza-BACON-selected", "color:orange");
    }
  }

  //load data to the drink's list
  function loadDataDrinkList(paramDrink){
     
    var vXmlHttpDrink = new XMLHttpRequest();
        callApiDrinkList(vXmlHttpDrink);
        vXmlHttpDrink.onreadystatechange = function(){
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK){
              //console.log("%cRESPONSE-TEXT", "color:orange", this.responseText);
              //var vJsonParsing = JSON.parse(this.responseText);
              //console.log("%cRESPONSE-TEXT-parsed", "color:orange", vJsonParsing);
              var vDrinkList = JSON.parse(this.responseText);
              for (var index = 0; index<vDrinkList.length; index++){
        
              //Option 1: 
              /*  var vSelectElement = document.getElementById("drink-select");
                  var vDrinkOptionElement = document.createElement("option");
                      vDrinkOptionElement.value = vDrinkList[index].maNuocUong;
                      vDrinkOptionElement.text = vDrinkList[index].tenNuocUong;
                  vSelectElement.appendChild(vDrinkOptionElement);
              
              
              //Option 2:
                  var newOption = new Option("Option Text", "Option Value");
                      newOption.value = vDrinkList[index].maNuocUong;
                      newOption.text = vDrinkList[index].tenNuocUong;

                  const select = document.querySelector("select");
                  select.add(newOption);
            */
              //Option 3:  
                    var newOption = document.createElement("option");
                    var optionText = document.createTextNode("Option Text");
                        optionText = vDrinkList[index].tenNuocUong;
                        //console.log(optionText)
                    newOption.append(optionText);
          
                    newOption.setAttribute = ('value', 'Option Value');
                    newOption.value = vDrinkList[index].maNuocUong;
                        //console.log(newOption)
                    const select = document.querySelectorAll("select");
                    select[0].appendChild(newOption);
                  };  
            };
        }; 
    }    

  //get data of Voucher ID from the server
  function getVoucherId(){
        //console.log("%cPARAM-voucher 1", "color:orange", paramVoucher);
    var vVoucherIdElement = document.getElementById("inp-voucher-id").value;
    
    var vXmlHttpVoucher = new XMLHttpRequest();
    vXmlHttpVoucher.open("GET", gBASE_URL_VOUCHER + "/" + vVoucherIdElement , false);
    vXmlHttpVoucher.send(null);
    var vStatusCode = vXmlHttpVoucher.status;
        if (vStatusCode == gREQUEST_STATUS_OK){
            console.log("%cRESPONSE-TEXT", "color:orange", vXmlHttpVoucher.responseText);
            var vJsonParsing = JSON.parse(vXmlHttpVoucher.responseText);
            return vJsonParsing;
        }
        else{
            return 0;
        }
  }

  //display the order in container
  function displayInWebContainer(paramData){
      var vId = paramData.id;
      var vOrderCode = paramData.orderCode;
      var vDivContainer = document.getElementById("div-container-order");
          vDivContainer.style.display = "none";

      var vDivContainerOrderCode = document.getElementById("div-container-order-code");
          vDivContainerOrderCode.style.display = "block";

      var vDisplayOrderCode = document.getElementById("display-order-code");
          vDisplayOrderCode.value = paramData;
  }


/*---------------CALL APIs--------------------------------*/

  //call API for list of drink
  function callApiDrinkList(paramDrink){
      paramDrink.open("GET", gBASE_URL_DRINK, true);
      paramDrink.send();
  }

  //call API to create new order on the server
  function callApiCreateOrder(paramXmlHttp, paramOrder ){
    paramXmlHttp.open("POST", gBASE_URL_ORDER, true);
    paramXmlHttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramXmlHttp.send(JSON.stringify(paramOrder));
  }

</script>

</html>